Skip to main content
POST
Create a List

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating a new List

name
string
required

The name of the List

Required string length: 1 - 255
Example:

"My Companies"

type
enum<string>
required

The entity type for the List

Available options:
company,
opportunity,
person
Example:

"company"

isPublic
boolean
default:false

Whether the List is public. Public Lists are visible to all users in the organization. Creating a public List requires the "Share accessible Lists globally" permission.

Example:

false

Response

Created

ListWithType model

id
integer<int64>
required

The unique identifier for the list

Required range: 1 <= x <= 9007199254740991
Example:

1

name
string
required

The name of the list

Example:

"All companies"

creatorId
integer<int64>
required

The ID of the user that created this list

Required range: 1 <= x <= 9007199254740991
Example:

1

ownerId
integer<int64>
required

The ID of the user that owns this list

Required range: 1 <= x <= 9007199254740991
Example:

1

isPublic
boolean
required

Whether or not the list is public

Example:

false

type
enum<string>
required

The entity type for this list

Available options:
company,
opportunity,
person
Example:

"company"

createdAt
string<date-time>
required

The date and time the list was created

Example:

"2024-03-07T20:21:42Z"